# Contributors Guide

Interested in contributing? Awesome! There are many ways you can contribute!

### Bug Reports and Fixes

-  If you find a bug, please search for it in the [Issues](https://github.com/vpeschenkov/SecureDefaults/issues), and if it isn't already tracked, [create a new issue](https://github.com/vpeschenkov/SecureDefaults/issues/new). Fill out the "Bug Report" section of the issue template. Even if an Issue is closed, feel free to comment and add details, it will still be reviewed.
-  Issues that have already been identified as a bug (note: able to reproduce) will be labelled `bug`.
-  If you'd like to submit a fix for a bug, send a Pull Request] and mention the Issue number.
-  Include tests that isolate the bug and verifies that it was fixed.

### New Features

-  If you'd like to add new functionality to this project, describe the problem you want to solve in a [new Issue](https://github.com/vpeschenkov/SecureDefaults/issues/new).

If you're new to our project and looking for some way to make your first contribution, look for
Issues labelled `good first contribution`.

## Requirements

For a contribution to be accepted:

- [x] The test suite must be complete and pass.
- [x] The changes must be approved by code review.
- [x] Commits should be atomic and messages must be descriptive. Related issues should be mentioned by Issue number.

## Creating a Pull Request

1.  Fork the repository on GitHub.
2.  Clone/fetch your fork to your local development machine. It's a good idea to run the tests just to make sure everything is in order.
3.  Create a new branch and check it out.
4.  Make your changes and commit them locally. Magic happens here!
5.  Push your new branch to your fork. (e.g. `git push username fix-issue-n`).
6.  Open a Pull Request on github.com from your new branch on your fork to `master` in this repository.